@media (max-width: 1440px) {
    .banner::before {
        left: -90px;
        width: 290px;
        height: 200px;
    }
    .banner::after {
        width: 750px;
        height: 375px;
        right: 0;
        top: 337px;
    }
    .tariffs h2:before {
        right: -120px;
    }
}

@media (max-width: 1367px) {
    .tariffs h2:before {
    right: -100px;
    }
    .banner::after {
        width: 740px;
        height: 367px;
        right: 0;
        top: 337px;
    }
}

@media (max-width: 1280px) {
    .tariffs h2:before {
        width: 180px;
        height: 185px;
        right: -40px;
        bottom: -15px;
    }
}

@media (max-width: 1200px) {
    .banner::after {
        width: 625px;
        height: 314px;
    }
}

@media (max-width: 1024px) {
    .banner::before {
        left: 0;
        width: 250px;
        height: 185px;
    }
    .banner::after {
        width: 450px;
        height: 340px;
    }
    .tariffs h2:before {
        width: 180px;
        height: 185px;
        right: 0;
    }

    .request-form:before {
        width: 340px;
        height: 192px;
        left: -190px;
        bottom: -37px;
    }
    .banner::before {
        display: none;
    }
    .banner::after {
        width: 500px;
        height: 250px;
        right: 0;
        top: 265px;
    }
    h1 {
        font-size: 42px;
    }
    .banner {
        min-height: 530px;
        padding-top: 60px;
    }
    .banner p {
        margin: 30px 0 40px 0;
    }
    .we h2 {
        margin: 10px 0 45px;
    }
    .tariffs h2 {
        font-size: 28px;
    }
    .tariffs h2:before {
        display: none;
    }
    .price {
        font-size: 36px;
    }
    .price span {
        font-size: 34px;
    }
    .period p {
        font-size: 16px;
    }
    .period-hour {
        -moz-transform: rotateZ(-90deg) translateX(-17%);
        -ms-transform: rotateZ(-90deg) translateX(-17%);
        -webkit-transform: rotateZ(-90deg) translateX(-17%);
        transform: rotateZ(-90deg) translateX(-17%);
    }
    .period-month {
        -moz-transform: rotateZ(-90deg) translateX(-24%);
        -ms-transform: rotateZ(-90deg) translateX(-24%);
        -webkit-transform: rotateZ(-90deg) translateX(-24%);
        transform: rotateZ(-90deg) translateX(-24%);
    }
    .request h2 {
        font-size: 28px;
    }
    .request-form:before {
        width: 282px;
        height: 160px;
    }
    .button-submit {
        padding: 10px 0;
    }
}

@media (max-width: 992px) {
    .banner::after {
        top: 335px;
    }
}

@media (max-width: 970px) {
    .banner::after {
        width: 442px;
        height: 220px;
        top: 340px;
    }
}

@media (max-width: 768px) {
    body {
        font-size: 14px;
    }
    .desctop-hide {
        display: flex;
    }
    .burger {
        display: inline-block;
    }
    .mobile-hide {
        display: none;
    }
    .banner {
        min-height: 650px;
        padding-top: 30px;
    }
    .tariffs h2 {
        font-size: 21px;
    }
    .we .col-4 {
        -ms-flex: 0 0 49%;
        flex: 0 0 49%;
        max-width: 49%;
    }
    .mobile-month {
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
        margin-bottom: 20px;
    }
    .mobile-hour {
        -ms-flex: 0 0 55%;
        flex: 0 0 55%;
        max-width: 55%;
    }
    .leica-mobile {
        display: inline-block;
        width: 80%;
        max-width: 250px;
    }
    .leica-mobile img {
        width: 100%;
    }
    .mobile-request__title {
        order: 1;
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }
    .mobile-request__title p {
        margin-bottom: 40px;
    }
    .mobile-request__form {
        order: 2;
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }
    .request h2 {
        font-size: 21px;
    }
    .request-form:before {
        width: 43%;
        height: 42%;
        left: -17%;
    }
    footer .row {
        width: 95%;
        margin: 0 auto;
        justify-content: space-around;
    }
    footer .row .col-6 {
        -ms-flex: 0 0 33.333333%;
        flex: 0 0 33.333333%;
        max-width: 33.333333%;
    }
    .mobile-price-last {
        margin-left: 50px;
    }

    .modal-content {
        padding: 15px;
        height: 100%;
    }
    .modal.fade .modal-dialog {
        margin: 0;
        width: 90%;
        height: 100%;
        min-height: 600px;
        margin-left: auto;
    }
    .modal-body h2 {
        font-size: 21px;
        margin-top: 0;
    }
    .modal-body {
        padding: 0 35px;
        margin-top: 20px;
    }
    .modal-dialog-cheaper h3 {
        font-size: 14px;
        margin: 35px 0;
    }
    .modal-dialog-cheaper .cheaper-form {
        width: 100%;
    }
    .checkbox label {
        font-size: 12px;
    }
    .banner::after {
        /*background-image: url(../img/hands_mobile.svg);*/
        width: 464px;
        height: 240px;
        top: 390px;
    }
}

@media (max-width: 767px) {
    .request-form:before {
        width: 43%;
        height: 32%;
        left: -17%;
    }
    .banner::after {
        background-image: url(../img/hands_mobile.svg);
        width: 335px;
        height: 283px;
        top: 360px;
    }
}


@media (max-width: 575px) {
    .banner::after {
        right: -15px;
    }
}

@media (max-width: 460px) {
    main {
        padding: 0 15px;
    }
    h1 {
        font-size: 34px;
    }
    .banner {
        min-height: 650px;
    }
    .we .col-4 {
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }
    .cheaper-modal {
        display: block;
        /*margin-top: 20px;*/
    }
    .cheaper-modal sup {
        top: 0;
    }
    .tariffs h2:before {
        display: inline-block;
        position: absolute;
        bottom: -400px;
        right: 0;
    }
    .button {
        max-width: 230px;
        font-size: 14px;
    }
    .banner::after {
        right: -30px;
        width: 313px;
        top: 365px;
    }
    .request h2 {
        width: 80%;
    }
    footer .row {
        justify-content: unset;
        margin: 0;
    }
    .request-form:before {
        width: 57%;
        height: 32%;
        left: -28%;
        bottom: -40px;
    }
    footer {
        margin: 0 -15px 50px;
    }
    .tariffs h2:before {
        width: 160px;
        height: 165px;
        right: -15px;
    }
    .mobile-price-hour {
        margin-left: 10px;
    }
    .footer-icon {
        width: 17px;
        height: 19px;
    }
    footer .row .col-6 {
        -ms-flex: 0 0 40%;
        flex: 0 0 40%;
        max-width: 40%;
    }
}

@media (max-width: 415px) {
   .request-form:before {
    left: -28%;
    bottom: -62px;
    }
    .banner::after {
        right: -30px;
        width: 313px;
        top: 385px;
    }
}


@media (max-width: 380px) {
    h1 {
    font-size: 32px;
    }
    footer {
    margin: 0 -15px 35px;
    font-size: 13px;
    }
    form:before {
    bottom: -80px;
    left: -32%;
    }
    footer .row .col-6 {
    -ms-flex: 0 0 45%;
    flex: 0 0 45%;
    max-width: 45%;
    }
    .request-form:before {
        bottom: -72px;
    }
    .price {
        font-size: 21px;
    }
    .period-hour {
        -moz-transform: rotateZ(-90deg) translateX(-49%);
        -ms-transform: rotateZ(-90deg) translateX(-49%);
        -webkit-transform: rotateZ(-90deg) translateX(-49%);
        transform: rotateZ(-90deg) translateX(-49%);
    }
    .period-month {
        -moz-transform: rotateZ(-90deg) translateX(-60%);
        -ms-transform: rotateZ(-90deg) translateX(-60%);
        -webkit-transform: rotateZ(-90deg) translateX(-60%);
        transform: rotateZ(-90deg) translateX(-60%);
    }
    .mobile-price-hour {
        margin-left: 0;
    }
    .price span {
        font-size: 21px;
    }
    .mobile-hour {
        -ms-flex: 0 0 55%;
        flex: 0 0 100%;
        max-width: 100%;
    }
}


@media (max-width: 370px) {
    footer .row .col-2 {
    display: none;
    }
    .modal.fade .modal-dialog {
        height: auto;
    }
    .price {
        font-size: 21px;
    }
    .period-hour {
        -moz-transform: rotateZ(-90deg) translateX(-49%);
        -ms-transform: rotateZ(-90deg) translateX(-49%);
        -webkit-transform: rotateZ(-90deg) translateX(-49%);
        transform: rotateZ(-90deg) translateX(-49%);
    }
    .mobile-price-hour {
        margin-left: 0;
    }
    .price span {
        font-size: 21px;
    }
    .mobile-hour {
        -ms-flex: 0 0 55%;
        flex: 0 0 100%;
        max-width: 100%;
    }
        .tariffs h2:before {
        width: 103px;
        height: 108px;
        right: -15px;
        bottom: -375px;
    }
    .request-form:before {
        left: -34%;
        bottom: -84px;
    }
    .banner::after {
        top: 385px;
    }
}

@media (max-width: 340px) {
    .banner::after {
        top: 415px;
        width: 278px;
        height: 237px;
    }
}

@media (max-width: 320px) {
    .burger {
        right: 0;
    }
    .request-form:before {
        bottom: -28px;
        left: -36%;
        height: 19%;
    }
    footer {
        margin: 0 -15px 0;
        padding: 30px 0;
    }
    footer .row {
        margin: 0;
    }
    .banner::after {
        right: -30px;
        top: 385px;
        width: 200px;
        height: 180px;
    }
    .header-logo {
    max-width: 190px;
    }
    /*.burger span::after {*/
    /*top: 9px;*/
    /*}*/
    .floating-label {
        font-size: 11px;
    }
    .banner {
        min-height: 545px;
        padding-top: 0;
    }
}
